# Created by pyp2rpm-3.3.2
%global pypi_name httpretty

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 4
Summary:        HTTP client mock for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/gabrielfalcao/HTTPretty
Source0:        %{pypi_source}
Patch0:         httpretty-test-timeouts.patch
# https://github.com/gabrielfalcao/HTTPretty/issues/457
Patch4:         test_handle_slashes.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# for tests
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(sure)
BuildRequires:  python3dist(rednose)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(redis)
BuildRequires:  python3dist(httplib2)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(eventlet)
BuildRequires:  python3dist(coverage)

# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-asciinema)

%description
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{_bindir}/nosetests-%{python3_version} -e 'test_passthrough'

%files -n python3-%{pypi_name}
%doc html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 28 2023 daviddavid <daviddavid> 1.1.4-4.mga9
+ Revision: 1945847
- aad upstream patch to update 'test_httpretty_should_handle_paths_starting_with_two_slashes'

* Thu Mar 31 2022 umeabot <umeabot> 1.1.4-3.mga9
+ Revision: 1836430
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 mrambo3501 <mrambo3501> 1.1.4-2.mga9
+ Revision: 1789106
- add more test timeouts
- disable two failing tests
- extend test timeout more
- add patch to extend the fail timeout on two tests
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 1.1.4-1.mga9
+ Revision: 1743377
- new version 1.1.4

* Fri Apr 23 2021 daviddavid <daviddavid> 1.0.2-2.mga9
+ Revision: 1718179
- rebuild for python 3.9

* Sun Mar 29 2020 wally <wally> 1.0.2-1.mga8
+ Revision: 1562227
- new version 1.0.2

* Sat Feb 29 2020 wally <wally> 0.9.7-1.mga8
+ Revision: 1552133
- new version 0.9.7

* Sun Feb 16 2020 umeabot <umeabot> 0.9.6-4.mga8
+ Revision: 1532757
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.9.6-3.mga8
+ Revision: 1442918
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.9.6-2.mga8
+ Revision: 1435657
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.9.6-1.mga7
+ Revision: 1394030
- imported package python-httpretty

